package pps.core.middle.module;

import cn.hutool.core.util.ObjectUtil;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;

/**
 * 中间库模块
 *
 * @author ZWT
 * @date 2023/08/29
 */
@XText("中间库模块")
public class PpsCoreMiddleModule extends XModule {

    protected PpsCoreMiddleModule() {
        super(1011);
    }

    @Override
    protected void onStarted(XContext context) {
        if (ObjectUtil.isNotNull(this.getClass()) && ObjectUtil.isNotNull(this.getClass().getClassLoader())) {
            ManifestComponentInfoHelper.init(this.getClass().getClassLoader());
        }
    }
}